explain_read_or_die(3)

NAME
explain_read_or_die - read from a file descriptor and report errors

SYNOPSIS
#include <libexplain/read.h>

long explain_read_or_die(int fildes, const void *data, long data_size);

DESCRIPTION
The explain_read_or_die function is used to call the read(2) system call. On failure an explanation will be printed to stderr, obtained from explain_read(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_read_or_die(fildes, data, data_size);

fildes
    The fildes, exactly as to be passed to the read(2) system call.

data
    The data, exactly as to be passed to the read(2) system call.

data_size
    The data_size, exactly as to be passed to the read(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

read(2)
    read from a file descriptor

explain_read(3)
    explain read(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 0.46
Copyright (C) 2008 Peter Miller